import { resolve } from "node:path"
import Vue from "@vitejs/plugin-vue"
import { defineConfig } from "vitest/config"

export default defineConfig({
  plugins: [Vue()],
  resolve: {
    alias: [{ find: /^@\//, replacement: `${resolve(__dirname, "src")}/` }],
  },
  test: {
    environment: "jsdom",
    setupFiles: ["./vitest.setup.ts"],
    exclude: ["e2e/**", "node_modules/**"],
  },
})
